<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Easy2Track &#8211; Serviceblick</title>
    <meta name='robots' content='noindex,nofollow'/>

    <link rel='stylesheet' id='wp-block-library-css' href='./css/EXT/style.min.css?ver=5.4.1' type='text/css' media='all'/>


    <link rel='stylesheet' id='elementor-frontend-css' href='./css/EXT/frontend.min.css?ver=2.9.8' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-pro-css' href='./css/EXT/ele_frontend.min.css?ver=2.9.3' type='text/css' media='all'/>
    <link rel='stylesheet' id='font-awesome-5-all-css' href='./css/EXT/all.min.css?ver=3.9.4' type='text/css' media='all'/>
    <link rel='stylesheet' id='font-awesome-4-shim-css' href='./css/EXT/v4-shims.min.css?ver=3.9.4' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-post-2237-css' href='./css/EXT/post-2237.css?ver=1590008181' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-post-373-css' href='./css/EXT/post-373.css?ver=1588661289' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-post-374-css' href='./css/EXT/post-374.css?ver=1588661289' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-icons-shared-0-css' href='./css/EXT/fontawesome.min.css?ver=5.12.0' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-icons-fa-solid-css' href='./css/EXT/solid.min.css?ver=5.12.0' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-icons-fa-regular-css' href='./css/EXT/regular.min.css?ver=5.12.0' type='text/css' media='all'/>
    <link rel='stylesheet' id='elementor-icons-fa-brands-css' href='./css/EXT/brands.min.css?ver=5.12.0' type='text/css' media='all'/>

    <link href="./pbcdn/css/spinner.css?v=[cs_version]" rel="stylesheet">
    <link rel="stylesheet" href="./pbcdn/css/bootstrap.min.css">
    <link rel="stylesheet" href="./pbcdn/css/font-awesome.min.css">
    <link href="./pbcdn/vendor/semanticui/semantic.min.css?v=[cs_version]" rel="stylesheet">
    <link href="./css/base.css?v=[cs_version]" rel="stylesheet">
    <link href="./css/app.css?v=[cs_version]" rel="stylesheet">


    <script type='text/javascript' src='./js/EXT/jquery.js?ver=1.12.4-wp'></script>
    <script type='text/javascript' src='./js/EXT/jquery-migrate.min.js?ver=1.4.1'></script>
    <script type='text/javascript' src='./js/EXT/v4-shims.min.js?ver=3.9.4'></script>


    <link rel="icon" href="./favicon-1.ico" sizes="32x32"/>



    <link rel="icon" href="./favicon-1.ico" sizes="192x192"/>
    <link rel="apple-touch-icon" href="./favicon-1.ico"/>
    <meta name="msapplication-TileImage" content="./favicon-1.ico"/>

    <meta name="viewport" content="width=device-width, initial-scale=1.0, viewport-fit=cover"/>
</head>
<body class="page-template page-template-elementor_canvas page page-id-2237 wp-custom-logo layout-fullwidth blog-creative jet-desktop-menu-active elementor-default elementor-template-canvas elementor-kit-858 elementor-page elementor-page-2237">
<div id="spinner">
    <div class="loader">
        <div class="face">
            <div class="circle"></div>
        </div>
        <div class="face">
            <div class="circle"></div>
        </div>
        <div id="spinner_message">
            System wird geladen...
        </div>
    </div>
</div>
<!--
<div id="spinner">
    <div class="loader">
        <div class="face">
            <div class="circle"></div>
        </div>
        <div class="face">
            <div class="circle"></div>
        </div>
        <div id="spinner_message">
            System wird geladen...
        </div>
    </div>
</div>
-->
<nav class="navbar navbar-expand-md navbar-dark bg-dark mb-3">
    <div class="container-fluid">
        <a href="#" class="navbar-brand mr-3">Serviceblick Easy2Track</a>
        <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#navbarCollapse">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarCollapse">
            <div class="navbar-nav">

            </div>
            <div class="navbar-nav ml-auto">
                <a href="#" onclick="logout();return false;" class="nav-item nav-link">Abmelden</a>
            </div>
        </div>
    </div>
</nav>
<div id="foobar" class="ui sidebar inverted vertical menu">

</div>
<div class="pusher">
    <!-- Site content !-->
    <div data-elementor-type="wp-page" data-elementor-id="2237" class="elementor elementor-2237" data-elementor-settings="[]">
        <div class="elementor-inner">
            <div class="elementor-section-wrap">
                <section data-particle_enable="false" data-particle-mobile-disabled="false" class="elementor-element elementor-element-a80304e elementor-section-boxed elementor-section-height-default elementor-section-height-default elementor-section elementor-top-section" data-id="a80304e" data-element_type="section" data-settings="{&quot;background_background&quot;:&quot;classic&quot;}">
                    <div class="elementor-container elementor-column-gap-default">
                        <div class="elementor-row">
                            <div class="elementor-element elementor-element-2f5054c clear_width_350 elementor-column elementor-col-33 elementor-top-column" data-id="2f5054c" data-element_type="column">
                                <div class="elementor-column-wrap  elementor-element-populated">
                                    <div class="elementor-widget-wrap">
                                        <div class="elementor-element elementor-element-0081711 elementor-widget elementor-widget-heading" data-id="0081711" data-element_type="widget" data-widget_type="heading.default">
                                            <div class="elementor-widget-container">
                                                <h1 class="elementor-heading-title elementor-size-default">Easy2Track</h1>
                                            </div>
                                        </div>
                                        <div class="elementor-element elementor-element-e0ae8d5 elementor-widget elementor-widget-text-editor" data-id="e0ae8d5" data-element_type="widget" data-widget_type="text-editor.default">
                                            <div class="elementor-widget-container">
                                                <div class="elementor-text-editor elementor-clearfix">
                                                    <p>Bitte halte deinen QRCode vor die Kamera, bis du die Rückmeldung bekommst, dass
                                                        der Code erfolgreich gescannt wurde.<br/>
                                                        Vielen Dank für deine Unterstützung im #kampfgegencorona
                                                    </p>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="elementor-element elementor-element-c9bece5 elementor-button-align-stretch elementor-widget elementor-widget-form" data-id="c9bece5" data-element_type="widget" data-widget_type="form.default">
                                            <div class="elementor-widget-container">
                                                <video id="preview"></video>
                                                <div id="data-preview"></div>
                                            </div>
                                        </div>
                                        <div class="elementor-element elementor-element-e781d9e elementor-align-center elementor-widget__width-inherit elementor-widget elementor-widget-button" data-id="e781d9e" data-element_type="widget" data-widget_type="button.default">
                                            <div class="elementor-widget-container">
                                                <div class="elementor-button-wrapper">
                                                    <a id="check-in-button" href="#" class="elementor-button-link elementor-button elementor-size-sm custom_button" role="button">
                                                    <span class="elementor-button-content-wrapper">
                                                        <span class="elementor-button-text">Check<br/>IN</span>
                                                    </span>
                                                    </a>
                                                    <a id="check-out-button" href="#" class="elementor-button-link elementor-button elementor-size-sm custom_button" role="button">
                                                    <span class="elementor-button-content-wrapper">
                                                        <span class="elementor-button-text">Check<br/>OUT</span>
                                                    </span>
                                                    </a>
                                                </div>
                                                <div class="elementor-button-wrapper">
                                                    <a style="display:none;" id="abort-scan-button" href="#" class="elementor-button-link elementor-button elementor-size-sm custom_button" role="button">
                                                    <span class="elementor-button-content-wrapper">
                                                        <span class="elementor-button-text">Scan abbrechen</span>
                                                    </span>
                                                    </a>
                                                </div>
                                                <div class="elementor-button-wrapper">
                                                    <a id="automatic-mode-button" href="#" class="elementor-button-link elementor-button elementor-size-sm custom_button" role="button">
                                                    <span class="elementor-button-content-wrapper">
                                                        <span class="elementor-button-text">Automatik<br/>aktivieren </span>
                                                    </span>
                                                    </a>
                                                </div>
                                                <div id="camera-selection-wrapper" class="ui selection dropdown" style="display:none;">
                                                  <input id="camera_index" type="hidden" name="camera_index">
                                                  <i class="dropdown icon"></i>
                                                  <div id="camera-selection-default-text" class="text">Kamera</div>
                                                  <div id="camera-selection" class="menu"></div>
                                                </div>
                                                <!--
                                                <div class="elementor-button-wrapper">
                                                    <a href="https://www.crowdsoft.net/produkte/easy2track/howto" class="elementor-button-link elementor-button elementor-size-sm custom_button" role="button">
                                                    <span class="elementor-button-content-wrapper">
                                                        <span class="elementor-button-text">Wie funktioniert es?</span>
                                                    </span>
                                                    </a>
                                                </div>
                                                -->
                                            </div>
                                        </div>

                    <!-- Navigation for Clients -->
                    <div id="c_navi">
                         <div class="col-375">
                             <button class="ui primary button right labeled icon" onclick="showCNavigation()">
                                 <i class="angle double down icon"></i>
                                 Für Partner Betriebe
                             </button>

                         <div id="c_navi_items" class="col-375">
                             <a href="client.html">
                                <button class="ui button right labeled icon">
                                    <i class="sign-in icon"></i>
                                    classic QR
                                </button>
                             </a>
                             <a href="scanner.html">
                                <button class="ui button right labeled icon">
                                    <i class="sign-in icon"></i>
                                    easyQR Scanner
                                </button>
                             </a>
                             <a href="https://www.serviceblick.com/dashboard/" target="_blank">
                                <button class="ui button right labeled icon">
                                    <i class="sign-in icon"></i>
                                    Admin Panel
                                </button>
                             </a>
                         </div>
                    </div>
                    </div>
                    <!-- END Navigation for Clients -->
                    </div>
                                </div>
                            </div>
                            <div class="elementor-element elementor-element-0234f99 elementor-column elementor-col-66 elementor-top-column" data-id="0234f99" data-element_type="column" data-settings="{&quot;background_background&quot;:&quot;classic&quot;}">
                                <div class="elementor-column-wrap  elementor-element-populated">
                                    <div class="elementor-widget-wrap">
                                        <section data-particle_enable="false" data-particle-mobile-disabled="false" class="elementor-element elementor-element-4310181 elementor-section-height-min-height elementor-section-boxed elementor-section-height-default elementor-section elementor-inner-section" data-id="4310181" data-element_type="section">
                                            <div class="elementor-container elementor-column-gap-default">
                                                <div class="elementor-row clear_width_270">
                                                    <div class="elementor-element elementor-element-e991c11 elementor-column elementor-col-50 elementor-inner-column" data-id="e991c11" data-element_type="column">
                                                        <div class="elementor-column-wrap  elementor-element-populated">
                                                            <div class="elementor-widget-wrap">
                                                                <!--
                                                                <div class="elementor-element elementor-element-4592dba button_info elementor-widget-mobile__width-inherit elementor-widget elementor-widget-button" data-id="4592dba" data-element_type="widget" data-widget_type="button.default">
                                                                    <div class="elementor-widget-container">
                                                                        <div class="elementor-button-wrapper">
                                                                            <a href="https://www.crowdsoft.net/produkte/easy2track/" class="elementor-button-link elementor-button elementor-size-sm" role="button">
                                                                                <span class="elementor-button-content-wrapper">
                                                                                    <span class="elementor-button-text">Informieren</span>
                                                                                </span>
                                                                            </a>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                -->
                                                                <!-- QR-Code für Betrieb -->
                                                                <div class="elementor-element elementor-element-84cedbf button_login elementor-widget-mobile__width-inherit elementor-widget elementor-widget-button" data-id="84cedbf" data-element_type="widget" data-widget_type="button.default">
                                                                    <div class="elementor-widget-container">
                                                                        <!-- one more Button-->
                                                                    </div>
                                                                    </div>
                                                                </div>
                                                                <!-- END QR-Corde für Betrieb -->
                                                                <!-- BEGIN logout -->
                                                                <div class="elementor-element elementor-element-165fc8f button_reg elementor-widget-mobile__width-inherit elementor-widget elementor-widget-button" data-id="165fc8f" data-element_type="widget" data-widget_type="button.default">
                                                                    <div class="elementor-widget-container">
                                                                        <!--
                                                                        <div class="elementor-button-wrapper">
                                                                            <a href="#" onclick="logout();" class="elementor-button-link elementor-button elementor-size-sm" role="button">
                                                                                <span class="elementor-button-content-wrapper">
                                                                                    <span class="elementor-button-text">logout</span>
                                                                                </span>
                                                                            </a>
                                                                        </div>
                                                                        -->
                                                                    </div>
                                                                </div>
                                                                <!-- END logout -->
                                                                <div class="elementor-element elementor-element-73f8a5b elementor-widget elementor-widget-heading" data-id="73f8a5b" data-element_type="widget" data-widget_type="heading.default">
                                                                    <div class="elementor-widget-container">
                                                                        <h1 class="elementor-heading-title elementor-size-default">
                                                                            <nobr><a href="https://www.serviceblick.com/"><span style="color:white;">by</span> Serviceblick</a></nobr>
                                                                        </h1></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="elementor-element elementor-element-9326aa1 elementor-hidden-phone clear_width_270 elementor-column elementor-col-50 elementor-inner-column" data-id="9326aa1" data-element_type="column">
                                                        <div class="elementor-column-wrap  elementor-element-populated">
                                                            <div class="elementor-widget-wrap">
                                                                <div class="elementor-element elementor-element-eeec3a1 elementor-widget elementor-widget-heading" data-id="eeec3a1" data-element_type="widget" data-widget_type="heading.default">
                                                                    <div class="elementor-widget-container">
                                                                        <h1 class="elementor-heading-title elementor-size-default">

                                                                        </h1></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </section>
                                        <section data-particle_enable="false" data-particle-mobile-disabled="false" class="elementor-element elementor-element-6a348c3 elementor-hidden-phone elementor-section-height-min-height elementor-section-boxed elementor-section-height-default elementor-section elementor-inner-section" data-id="6a348c3" data-element_type="section" data-settings="{&quot;background_background&quot;:&quot;classic&quot;}">
                                            <div class="elementor-container elementor-column-gap-default">
                                                <div class="elementor-row">
                                                    <div class="elementor-element elementor-element-6342bff overflow_hide elementor-hidden-phone elementor-column elementor-col-100 elementor-inner-column" data-id="6342bff" data-element_type="column">
                                                        <div class="elementor-column-wrap">
                                                            <div class="elementor-widget-wrap">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                 </section>
            </div>
        </div>
    </div>
    <hr>
    <footer>
        <div class="row">
            <div class="col-md-6">
                <p>Copyright © 2020 <nobr>planBLICK GmbH</nobr></p>
            </div>
            <div class="col-md-6 text-right">
                <a href="https://impressum.planblick.com" target="planblick" class="text-dark">Impressum</a>
                <span class="text-muted mx-2">|</span>
                <a href="https://datenschutz.planblick.com" target="planblick" class="text-dark">Datenschutz</a>
            </div>
        </div>
    </footer>

    <!-- Include jquery and init.js. All other includes will be handled in init.js -->
    <script src="./pbcdn/vendor/jquery/jquery.min.js?v=[cs_version]"></script>
    <script type="text/javascript" src="./js/instascan.min.js"></script>
    <script type="module">import {Init} from './js/init.js';

    new Init().load();</script>
    <script type="module">import {pb_events} from './js/events.js';

    window.pb_events = new pb_events();</script>
    <script type="module">import {saveFromQr} from './js/app.js';

    window.saveFromQr = saveFromQr;</script>
    <script type="module">import {Account} from './pbcdn/account-api.js';

    window.Account = Account;</script>

    <script type="module">import {CONFIG} from './pbcdn/config.js';

    window.CONFIG = CONFIG;</script>

    <script type="module">import {getCookie} from './pbcdn/functions.js';

    window.getCookie = getCookie;</script>

    <script type="text/javascript">
        var isFirefox = navigator.userAgent.toLowerCase().indexOf('firefox') > -1;
        function logout() {
            new Account().logout()
        }

        document.addEventListener("init_submodules", function (event) {
            $('.ui.dropdown').dropdown();
            loadAds()
            initScanner()
            $("#automatic-mode-button").click(automatic_mode_toggle)
            $("#abort-scan-button").click(abort_scan)


        });

        function abort_scan() {
            $("#check-in-button").prop("onclick", null).off("click");
            $("#check-out-button").prop("onclick", null).off("click");
            $("#data-preview").html("")
            $("#data-preview").hide()
            $("#check-in-button").removeClass( "suggest")
            $("#check-out-button").removeClass( "suggest")
            $("#preview").show()
            $("#abort-scan-button").hide()
        }

        function check_in(data) {

            if(data.data !== undefined) {
                saveFromQr(data.data, "add")
            } else {
                saveFromQr(data, "add")
            }
            $("#check-in-button").prop("onclick", null).off("click");
            $("#check-out-button").prop("onclick", null).off("click");
            $("#data-preview").html("")
            $("#data-preview").hide()
            $("#check-in-button").removeClass( "suggest")
            $("#check-out-button").removeClass( "suggest")
            $("#preview").show()
            $("#abort-scan-button").hide()
        }

        function check_out(data) {

            if(data.data !== undefined) {
                saveFromQr(data.data, "remove")
            } else {
                saveFromQr(data, "remove")
            }
            $("#check-in-button").prop("onclick", null).off("click");
            $("#check-out-button").prop("onclick", null).off("click");
            $("#data-preview").html("")
            $("#data-preview").hide()
            $("#check-in-button").removeClass( "suggest")
            $("#check-out-button").removeClass( "suggest")
            $("#preview").show()
            $("#abort-scan-button").hide()
        }

        var automatic_mode_timeout=null
        function automatic_mode_toggle(event) {
            event.preventDefault();
            if($("#automatic-mode-button").hasClass("active")) {
                $("#automatic-mode-button").removeClass("active")
                $("#automatic-mode-button").html("Automatik<br/>aktivieren")
                if(automatic_mode_timeout != null) {
                    clearInterval(automatic_mode_timeout);
                }
            } else {
                $("#automatic-mode-button").addClass("active")
                $("#automatic-mode-button").html("Automatik<br/>deaktivieren")
                automatic_mode_timeout = setInterval(function () {
                                                                    if($("#check-in-button").hasClass("suggest")) {
                                                                        $("#check-in-button").click()
                                                                    }
                                                                    if($("#check-out-button").hasClass("suggest")) {
                                                                        $("#check-out-button").click()
                                                                    }
                                                                }, 1000);
            }
        }

        function initScanner() {
            let scanner = new Instascan.Scanner({
                continuous: true,
                video: document.getElementById('preview'),
                mirror: true,
                backgroundScan: true,
                refractoryPeriod: 5000,
                scanPeriod: 1
            });
            scanner.addListener('scan', function (content) {
                console.log(content);

                let data = JSON.parse(decodeURIComponent(escape(content)))
                if(data["hash"] !== undefined) {
                    is_checked_in(data["hash"])
                } else {
                    is_checked_in(data)
                }
                $("#check-in-button").click(function() { check_in(data) })
                $("#check-out-button").click(function() { check_out(data) })

                let display = ""
                for (let key in data.check) {
                    display += key + ": " + data.check[key] + "<br/>"
                }
                $("#abort-scan-button").show()
                $("#data-preview").html(display)
                $("#preview").hide()
                $("#data-preview").show()

            });
            Instascan.Camera.getCameras().then(function (cameras) {
                console.log("CAMERAS", cameras)
                let i = 0
                let items = []
                for(camera of cameras) {
                    console.log(camera)
                    if(camera.name != null)
                        items.push({name: camera.name, value: i})
                    i++;
                }
                console.log("ITEMS", items)
                $('#camera-selection-wrapper').dropdown({
                    values: items
                });

                $("#camera_index").change(function() {
                    scanner.stop()
                    scanner.start(cameras[$("#camera_index").val()]);
                })

                if(!isFirefox) {
                    $("#camera-selection-wrapper").show()
                }

                if (cameras.length > 0) {
                    if(cameras[0].name != null) {
                        $("#camera-selection-default-text").html(cameras[0].name)
                    }

                    scanner.start(cameras[0]);
                } else {
                    console.error('No cameras found.');
                }
            }).catch(function (e) {
                console.error(e);
            });
        }

        function loadAds() {
            var images = [
                "./images/ad-example1.png",
                "./images/ad-example2.png",
                "./images/ad-example3.png",
            ]

            $(".ad_image").each(function (index) {
                //$(this).fadeOut(500, function() {
                //$(this).attr("src",images[Math.floor(Math.random()*images.length)]);
                //$(this).fadeIn(500);
                //});
            });


        }

        function is_checked_in(data) {
            console.log("DATA", data)
            let payload = ""
            if(data.data === undefined) {
                payload = {"hash": data}
            } else {
                payload = {"hash": md5(data.data)}
            }
            console.log("PAYLOAD", payload)
            payload = JSON.stringify(payload)
            console.log("PAYLOAD", payload)
            url = CONFIG.API_BASE_URL + "/easy2track/is_checkedin"
            var settings = {
                "url": url,
                "method": "POST",
                "timeout": 0,
                "headers": {
                    "Content-Type": ["application/json", "application/json"],
                    "apikey": getCookie("apikey")
                },
                "data": payload,
            };

            $.ajax(settings).success(function (response) {
                console.log("CHECKIN RESULT:", response)
                if(response.result == true) {
                    $("#check-out-button").addClass("suggest")
                } else {
                    $("#check-in-button").addClass("suggest")
                }
            });
        }

        //  A formatted version of a popular md5 implementation.
        //  Original copyright (c) Paul Johnston & Greg Holt.
        //  The function itself is now 42 lines long.

        function md5(inputString) {
            var hc="0123456789abcdef";
            function rh(n) {var j,s="";for(j=0;j<=3;j++) s+=hc.charAt((n>>(j*8+4))&0x0F)+hc.charAt((n>>(j*8))&0x0F);return s;}
            function ad(x,y) {var l=(x&0xFFFF)+(y&0xFFFF);var m=(x>>16)+(y>>16)+(l>>16);return (m<<16)|(l&0xFFFF);}
            function rl(n,c)            {return (n<<c)|(n>>>(32-c));}
            function cm(q,a,b,x,s,t)    {return ad(rl(ad(ad(a,q),ad(x,t)),s),b);}
            function ff(a,b,c,d,x,s,t)  {return cm((b&c)|((~b)&d),a,b,x,s,t);}
            function gg(a,b,c,d,x,s,t)  {return cm((b&d)|(c&(~d)),a,b,x,s,t);}
            function hh(a,b,c,d,x,s,t)  {return cm(b^c^d,a,b,x,s,t);}
            function ii(a,b,c,d,x,s,t)  {return cm(c^(b|(~d)),a,b,x,s,t);}
            function sb(x) {
                var i;var nblk=((x.length+8)>>6)+1;var blks=new Array(nblk*16);for(i=0;i<nblk*16;i++) blks[i]=0;
                for(i=0;i<x.length;i++) blks[i>>2]|=x.charCodeAt(i)<<((i%4)*8);
                blks[i>>2]|=0x80<<((i%4)*8);blks[nblk*16-2]=x.length*8;return blks;
            }
            var i,x=sb(inputString),a=1732584193,b=-271733879,c=-1732584194,d=271733878,olda,oldb,oldc,oldd;
            for(i=0;i<x.length;i+=16) {olda=a;oldb=b;oldc=c;oldd=d;
                a=ff(a,b,c,d,x[i+ 0], 7, -680876936);d=ff(d,a,b,c,x[i+ 1],12, -389564586);c=ff(c,d,a,b,x[i+ 2],17,  606105819);
                b=ff(b,c,d,a,x[i+ 3],22,-1044525330);a=ff(a,b,c,d,x[i+ 4], 7, -176418897);d=ff(d,a,b,c,x[i+ 5],12, 1200080426);
                c=ff(c,d,a,b,x[i+ 6],17,-1473231341);b=ff(b,c,d,a,x[i+ 7],22,  -45705983);a=ff(a,b,c,d,x[i+ 8], 7, 1770035416);
                d=ff(d,a,b,c,x[i+ 9],12,-1958414417);c=ff(c,d,a,b,x[i+10],17,     -42063);b=ff(b,c,d,a,x[i+11],22,-1990404162);
                a=ff(a,b,c,d,x[i+12], 7, 1804603682);d=ff(d,a,b,c,x[i+13],12,  -40341101);c=ff(c,d,a,b,x[i+14],17,-1502002290);
                b=ff(b,c,d,a,x[i+15],22, 1236535329);a=gg(a,b,c,d,x[i+ 1], 5, -165796510);d=gg(d,a,b,c,x[i+ 6], 9,-1069501632);
                c=gg(c,d,a,b,x[i+11],14,  643717713);b=gg(b,c,d,a,x[i+ 0],20, -373897302);a=gg(a,b,c,d,x[i+ 5], 5, -701558691);
                d=gg(d,a,b,c,x[i+10], 9,   38016083);c=gg(c,d,a,b,x[i+15],14, -660478335);b=gg(b,c,d,a,x[i+ 4],20, -405537848);
                a=gg(a,b,c,d,x[i+ 9], 5,  568446438);d=gg(d,a,b,c,x[i+14], 9,-1019803690);c=gg(c,d,a,b,x[i+ 3],14, -187363961);
                b=gg(b,c,d,a,x[i+ 8],20, 1163531501);a=gg(a,b,c,d,x[i+13], 5,-1444681467);d=gg(d,a,b,c,x[i+ 2], 9,  -51403784);
                c=gg(c,d,a,b,x[i+ 7],14, 1735328473);b=gg(b,c,d,a,x[i+12],20,-1926607734);a=hh(a,b,c,d,x[i+ 5], 4,    -378558);
                d=hh(d,a,b,c,x[i+ 8],11,-2022574463);c=hh(c,d,a,b,x[i+11],16, 1839030562);b=hh(b,c,d,a,x[i+14],23,  -35309556);
                a=hh(a,b,c,d,x[i+ 1], 4,-1530992060);d=hh(d,a,b,c,x[i+ 4],11, 1272893353);c=hh(c,d,a,b,x[i+ 7],16, -155497632);
                b=hh(b,c,d,a,x[i+10],23,-1094730640);a=hh(a,b,c,d,x[i+13], 4,  681279174);d=hh(d,a,b,c,x[i+ 0],11, -358537222);
                c=hh(c,d,a,b,x[i+ 3],16, -722521979);b=hh(b,c,d,a,x[i+ 6],23,   76029189);a=hh(a,b,c,d,x[i+ 9], 4, -640364487);
                d=hh(d,a,b,c,x[i+12],11, -421815835);c=hh(c,d,a,b,x[i+15],16,  530742520);b=hh(b,c,d,a,x[i+ 2],23, -995338651);
                a=ii(a,b,c,d,x[i+ 0], 6, -198630844);d=ii(d,a,b,c,x[i+ 7],10, 1126891415);c=ii(c,d,a,b,x[i+14],15,-1416354905);
                b=ii(b,c,d,a,x[i+ 5],21,  -57434055);a=ii(a,b,c,d,x[i+12], 6, 1700485571);d=ii(d,a,b,c,x[i+ 3],10,-1894986606);
                c=ii(c,d,a,b,x[i+10],15,   -1051523);b=ii(b,c,d,a,x[i+ 1],21,-2054922799);a=ii(a,b,c,d,x[i+ 8], 6, 1873313359);
                d=ii(d,a,b,c,x[i+15],10,  -30611744);c=ii(c,d,a,b,x[i+ 6],15,-1560198380);b=ii(b,c,d,a,x[i+13],21, 1309151649);
                a=ii(a,b,c,d,x[i+ 4], 6, -145523070);d=ii(d,a,b,c,x[i+11],10,-1120210379);c=ii(c,d,a,b,x[i+ 2],15,  718787259);
                b=ii(b,c,d,a,x[i+ 9],21, -343485551);a=ad(a,olda);b=ad(b,oldb);c=ad(c,oldc);d=ad(d,oldd);
            }
            return rh(a)+rh(b)+rh(c)+rh(d);
        }

        function showCNavigation() {
            $("#c_navi_items").show();
        }
        window.setInterval(loadAds, 20000)
    </script>
    <div id="news_modal" class="ui basic modal news">
        <div class="header">Neuigkeiten<i href="#" onclick="$('#news_modal').modal('hide');return false;" class="close icon news_close" title="News schließen"></i>
        </div>
        <div id="news_container" class="content">
        </div>
        <div>keine weiteren News</div>
    </div>
    <div id="login_modal" class="ui basic modal login" style="text-align:center;">
        <div class="header">Login benötigt</div>
        <div id="login_container" class="content">
            <div class="ui labeled input">
                <div class="ui label">
                    Benutzer:
                </div>
                <input id="login" type="text" placeholder="">
            </div>
            <div class="ui labeled input">
                <div class="ui label">
                    Password:
                </div>
                <input id="password" type="password" placeholder="">
            </div>
            <button class="ui button" onclick="new Account().getapikey(function() {location.reload();});">
                Anmelden
            </button>
            <button class="ui inverted green button" onclick="location.href='./registrieren.html'">Jetzt Registrieren</button>
            <br/><br/>
            <video controls id="explain_video" style="width:75%;">
                <source src="Easy2Track_QuickExplain.mp4" type="video/mp4">
                <source src="Easy2Track_QuickExplain.ogg" type="video/ogg">
                Your browser does not support the video tag.
            </video>
            <br/>
            <button class="ui inverted green button" onclick="location.href='./registrieren.html'" style="font-size:1.5rem;margin-top: 10px;">Jetzt Registrieren</button>
            <br/>

            <div class="ui inverted segment">
                Schneller Check-In beim Empfang Ihrer Gäste - einfach und sicher organisiert.<br/>
                Ihre Gäste geben über ihr SmartPhone die notwendigen Kontaktdaten ein. Diese werden verschlüsselt gespeichert - ein direkter Zugriff ist nicht möglich. Nach Ablauf der Aufbewahrungsfrist (vier Wochen) werden die Daten automatisch gelöscht. Nur im Ernstfall können die relevanten Kontaktdaten kennwortgeschützt weitergeleitet werden.<br/>
                Sie als Geschäftsinhaber haben keinerlei Administration!<br/><br/>
                <div>
                    <a href="https://impressum.planblick.com/" class="text-dark">Impressum</a>
                    <span class="text-muted mx-2">|</span>
                    <a href="https://datenschutz.planblick.com/" class="text-dark">Datenschutz</a>
                </div>
                <div>Easy2Track - powered by Crowdsoft.net | planBLICK GmbH</div>
            </div>
            </div>
        </div>
    </div>
</body>
</html>